org.eclipse.oomph.util

## Class UserCallback

- java.lang.Object
- - org.eclipse.oomph.util.UserCallback

- Direct Known Subclasses:
    UICallback

      public class UserCallback
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execInUI(boolean async, Runnable runnable)`
    `void` | `information(boolean async, String message)`
    `boolean` | `question(String message)`
    `boolean` | `runInProgressDialog(boolean async, IRunnable runnable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserCallback

          public UserCallback()

  - ### Method Detail

    - #### execInUI

          public void execInUI(boolean async,
                      Runnable runnable)

    - #### runInProgressDialog

          public boolean runInProgressDialog(boolean async,
                                    IRunnable runnable)

    - #### information

          public void information(boolean async,
                         String message)

    - #### question

          public boolean question(String message)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html